/*
 * Create the following ArrayList instance and enter some words:
 * 		ArrayList<String> words = new ArrayList<String>();
 * Write the code to print 4-letter words using:
 * 1. For loop
 * 2. Advanced For loop
 * 3. Iterator
 */

import java.util.*;

public class Ex4Iterators {
	
	   public static void main (String[ ] args){

		ArrayList<String> words = new ArrayList<String>();
		String word;

		words.add ("for");
		words.add ("then");
		words.add ("else");
		words.add ("if");
		words.add ("true");

		// 1: For loop
		for (int i = 0; i < words.size(); i++) {
		   word = words.get(i);
	   	   if (word.length() == 4) System.out.println (word);
		}

		// 2: Advanced For loop
		for (String s : words)
		   if (s.length() == 4) System.out.println (s);

		// 3: Iterator
		Iterator<String> itr = words.iterator();
		while (itr.hasNext()) {
		   word = itr.next();
		   if (word.length() == 4) System.out.println (word);
		} 

	   } // main

} // end-class
	
