/** 
 *  Exercise:
 *  Write the public SinglyLinkedList<E> reverse() method:
 *  it reverses a SinglyLinkedList object by creating a copy
 *  of the list in reverse order without altering the ordering of elements.  
 *  Complexity: O(n)
 */
   
	   public SinglyLinkedList<E> reverse()
	   {
	      SinglyLinkedList<E> list = new SinglyLinkedList<E>();
	      Node<E> tmp = head;
	      while(tmp != null)
	      {
	         list.addFirst( tmp.data );
	         tmp = tmp.next;
	      }
	      return list;
	   }